"""
    This script can be used to copy a collection in firestore from one document
    to another document.

    This is intended for manual operation of the manual_configuration_edit
    collection used for database initialization.
"""
import google.cloud.firestore as firestore


if __name__ == '__main__':
    collection_name = 'manual_configuration_edit'
    document_src = 'config_form'
    subcollection_name = 'jobs'  # Parse from input
    document_dst = 'gao_manual_script'

    db: firestore.Client = firestore.Client()

    # get collection
    collection = db.collection(f'{collection_name}/{document_src}/{subcollection_name}').get()

    for doc in collection:
        db.collection(f'{collection_name}/{document_dst}/{subcollection_name}').document(doc.id).set(doc.to_dict())

    print("Elements successfully copied.")
